``loops``
=========

This library provides implementations of several kinds of loops typical
of imperative languages.

API documentation
-----------------

Open the
`../../docs/library_index.html#loops <../../docs/library_index.html#loops>`__
link in a web browser.

Loading
-------

To load the main entities in this library, load the ``loader.lgt`` file:

::

   | ?- logtalk_load(loops(loader)).

Testing
-------

To test this library predicates, load the ``tester.lgt`` file:

::

   | ?- logtalk_load(loops(tester)).

Usage
-----

See e.g. the ``searching`` example.
